Status: New Start date: 26 Oct 2020

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: enhancing/improving Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.10 hour

Description

Investigate whether the template fn Value::from (see Interpreter.H around lines 1422--1442) can avoid copying by using std::move (at

least, in some cases).

This will include devising some tests.

Related issues:

Related to CoCoA-5 - Bug #1514: Cocoa crashes when calling RingElems Closed 22 Oct 2020

Related to CoCoALib - Design #1446: Start using C++14 "move" capability In Progress 12 Mar 2020

Related to CoCoALib - Design #1225: Move to C++14 (skipping C++11) In Progress 06 Sep 2018

History

#1 - 26 Oct 2020 09:54 - John Abbott

- Related to Bug #1514: Cocoa crashes when calling RingElems added

#2 - 26 Oct 2020 09:55 - John Abbott

- Related to Design #1446: Start using C++14 "move" capability added

#3 - 26 Oct 2020 09:55 - John Abbott

- Related to Design #1225: Move to C++14 (skipping C++11) added

#4 - 26 Oct 2020 10:10 - John Abbott

- Description updated

The template function for lists (of all sorts) is actually called LIST::LIST... mmm, is that a ctor?

It is defined starting on line 1433 of Interpreter.H

#5 - 03 Feb 2022 19:54 - John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2
